//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TSplitter *Splitter1;
        TTreeView *tvwTiles;
        TStatusBar *stbMain;
        TPanel *pnlRight;
        TLabel *lblTileNo;
        TLabel *lblDimension;
        TDrawGrid *grdTile;
        TGroupBox *GroupBox1;
        TCheckBox *cbxCanPass;
        TCheckBox *cbxBulletCanPass;
        TCheckBox *cbxCanBreak;
        TCheckBox *cbxFlag;
        TMainMenu *mnuMain;
        TMenuItem *F1;
        TMenuItem *mnuNew;
        TMenuItem *mnuOpen;
        TMenuItem *N3;
        TMenuItem *mnuSave;
        TMenuItem *mnuSaveAs;
        TMenuItem *N1;
        TMenuItem *mnuExit;
        TMenuItem *mnuTiles;
        TMenuItem *mnuAdd;
        TMenuItem *mnuRemove;
        TMenuItem *H1;
        TMenuItem *mnuAbout;
        TOpenDialog *dlgOpen;
        TSaveDialog *dlgSave;
        TOpenPictureDialog *dlgOpenPicture;
        void __fastcall mnuExitClick(TObject *Sender);
        void __fastcall mnuAboutClick(TObject *Sender);
        void __fastcall mnuNewClick(TObject *Sender);
        void __fastcall mnuOpenClick(TObject *Sender);
        void __fastcall mnuSaveClick(TObject *Sender);
        void __fastcall mnuRemoveClick(TObject *Sender);
        void __fastcall mnuAddClick(TObject *Sender);
        void __fastcall grdTileDrawCell(TObject *Sender, int ACol,
          int ARow, TRect &Rect, TGridDrawState State);
        void __fastcall grdTileSelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect);
        void __fastcall tvwTilesChange(TObject *Sender, TTreeNode *Node);
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
    AnsiString FFileName;
    int FFirstNo;

    void __fastcall BackupAttr(int Col, int Row);
    void __fastcall RestoreAttr(int Col, int Row);

    void __fastcall AddTreeNode(AnsiString FileName, int FirstNo);

    void __fastcall UpdateControlStatus();
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
