//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#define utilCPP
#include "util.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

void util_init()
{
  for (int i = 0; i <= TILE_NUM_X; i++)
    TILEWIDTH[i] = i * TILE_WIDTH;

  for (int i = 0; i <= TILE_NUM_Y; i++)
    TILEHEIGHT[i] = i * TILE_HEIGHT;

  for (int i = 0; i <= SM_TILE_NUM_X; i++)
    SM_TILEWIDTH[i] = i * SM_TILE_WIDTH;

  for (int i = 0; i <= SM_TILE_NUM_Y; i++)
    SM_TILEHEIGHT[i] = i * SM_TILE_HEIGHT;
}

void CheckSignature(TReader* reader, const AnsiString Sig)
{
  AnsiString S = reader->ReadString();
  if (Sig != S)
    throw Exception("File signature not match");
}

